/*************************************************************************/
/*                                                                       */
/*  Copyright (c) 1999 University of California, Santa Barbara           */
/*                                                                       */
/*  All rights reserved.                                                 */
/*                                                                       */
/*  Permission is given to use, copy, and modify this software for any   */
/*  non-commercial purpose as long as this copyright notice is not       */
/*  removed.  All other uses, including redistribution in whole or in    */
/*  part, are forbidden without prior written permission.                */
/*                                                                       */
/*  This software is provided with absolutely no warranty and no         */
/*  support.                                                             */
/*                                                                       */
/*************************************************************************/

# define _REENTRANT
# include <stdlib.h>
#include <ulocks.h>

extern int thrMPI_Nproc;

void anl_shmem_ginit(void)
{
  	if( usconfig(CONF_INITSIZE, 2097152) == -1 ){
        	perror("usconfig(CONF_INITSIZE)");
        	thrMPI_exit(-1);
  	}

  	if( usconfig(CONF_INITUSERS, thrMPI_Nproc) == -1 ){
        	perror("usconfig(CONF_INITUSERS,nProc)");
        	thrMPI_exit(-1);
  	}

  	usconfig(CONF_LOCKTYPE, US_NODEBUG); 

}

void anl_shmem_uinit(int myid, size_t shmsize)
{
}

void *
anl_malloc(int myid, size_t size)
{
	return malloc(size);
}

void
anl_free(int myid, void *ptr)
{
	free(ptr);
}

void 
anl_shmem_uend( int myid)
{
}

void
anl_shmem_gend()
{
}

