/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

#ifndef _RENAME_H_
#define _RENAME_H_

/* set the name space */
# define MPI_Buffer_attach thrMPI_Buffer_attach
# define MPI_Buffer_detach thrMPI_Buffer_detach

# define MPI_Send thrMPI_Send
# define MPI_Isend thrMPI_Isend
# define MPI_Send_init thrMPI_Send_init
# define MPI_Bsend thrMPI_Bsend
# define MPI_Ibsend thrMPI_Ibsend
# define MPI_Bsend_init thrMPI_Bsend_init
# define MPI_Ssend thrMPI_Ssend
# define MPI_Issend thrMPI_Issend
# define MPI_Ssend_init thrMPI_Ssend_init
# define MPI_Rsend thrMPI_Rsend
# define MPI_Irsend thrMPI_Irsend
# define MPI_Rsend_init thrMPI_Rsend_init

# define MPI_Recv thrMPI_Recv
# define MPI_Irecv thrMPI_Irecv
# define MPI_Recv_init thrMPI_Recv_init

# define MPI_Wait thrMPI_Wait

# define MPI_Test thrMPI_Test
# define MPI_Request_free thrMPI_Request_free
# define MPI_Waitany thrMPI_Waitany
# define MPI_Testany thrMPI_Testany
# define MPI_Waitall thrMPI_Waitall
# define MPI_Testall thrMPI_Testall
# define MPI_Waitsome thrMPI_Waitsome
# define MPI_Testsome thrMPI_Testsome
# define MPI_Iprobe thrMPI_Iprobe
# define MPI_Probe thrMPI_Probe
# define MPI_Cancel thrMPI_Cancel
# define MPI_Test_cancelled thrMPI_Test_cancelled
# define MPI_Start thrMPI_Start
# define MPI_Startall thrMPI_Startall

# define MPI_Sendrecv thrMPI_Sendrecv
# define MPI_Sendrecv_replace thrMPI_Sendrecv_replace

# define MPI_Type_contiguous thrMPI_Type_contiguous
# define MPI_Type_vector thrMPI_Type_vector
# define MPI_Type_hvector thrMPI_Type_hvector
# define MPI_Type_indexed thrMPI_Type_indexed
# define MPI_Type_hindexed thrMPI_Type_hindexed
# define MPI_Type_struct thrMPI_Type_struct
# define MPI_Address thrMPI_Address
# define MPI_Type_extent thrMPI_Type_extent

# define MPI_Type_size thrMPI_Type_size
# define MPI_Type_count thrMPI_Type_count
# define MPI_Type_lb thrMPI_Type_lb
# define MPI_Type_ub thrMPI_Type_ub
# define MPI_Type_commit thrMPI_Type_commit
# define MPI_Type_free thrMPI_Type_free
# define MPI_Get_elements thrMPI_Get_elements
# define MPI_Pack thrMPI_Pack
# define MPI_Unpack thrMPI_Unpack
# define MPI_Pack_size thrMPI_Pack_size

# define MPI_Barrier thrMPI_Barrier

# define MPI_Bcast thrMPI_Bcast
# define MPI_Gather thrMPI_Gather
# define MPI_Gatherv thrMPI_Gatherv
# define MPI_Scatter thrMPI_Scatter
# define MPI_Scatterv thrMPI_Scatterv
# define MPI_Allgather thrMPI_Allgather
# define MPI_Allgatherv thrMPI_Allgatherv
# define MPI_Alltoall thrMPI_Alltoall
# define MPI_Alltoallv thrMPI_Alltoallv
# define MPI_Reduce thrMPI_Reduce
# define MPI_Op_create thrMPI_Op_create
# define MPI_Op_free thrMPI_Op_free
# define MPI_Allreduce thrMPI_Allreduce
# define MPI_Reduce_scatter thrMPI_Reduce_scatter
# define MPI_Scan thrMPI_Scan

# define MPI_Group_size thrMPI_Group_size
# define MPI_Group_rank thrMPI_Group_rank
# define MPI_Group_translate_ranks thrMPI_Group_translate_ranks
# define MPI_Group_compare thrMPI_Group_compare
# define MPI_Comm_group thrMPI_Comm_group
# define MPI_Group_union thrMPI_Group_union
# define MPI_Group_# defineersection thrMPI_Group_# defineersection
# define MPI_Group_difference thrMPI_Group_difference
# define MPI_Group_incl thrMPI_Group_incl
# define MPI_Group_excl thrMPI_Group_excl
# define MPI_Group_range_incl thrMPI_Group_range_incl
# define MPI_Group_range_excl thrMPI_Group_range_excl
# define MPI_Group_free thrMPI_Group_free

# define MPI_Comm_size thrMPI_Comm_size
# define MPI_Comm_rank thrMPI_Comm_rank
# define MPI_Comm_compare thrMPI_Comm_compare

# define MPI_Comm_dup thrMPI_Comm_dup
# define MPI_Comm_create thrMPI_Comm_create
# define MPI_Comm_split thrMPI_Comm_split
# define MPI_Comm_free thrMPI_Comm_free
# define MPI_Comm_test_# defineer thrMPI_Comm_test_# defineer
# define MPI_Comm_remote_size thrMPI_Comm_remote_size
# define MPI_Comm_remote_group thrMPI_Comm_remote_group
# define MPI_Intercomm_create thrMPI_Intercomm_create
# define MPI_Intercomm_merge thrMPI_Intercomm_merge
# define MPI_Keyval_create thrMPI_Keyval_create
# define MPI_Keyval_free thrMPI_Keyval_free
# define MPI_Attr_put thrMPI_Attr_put
# define MPI_Attr_get thrMPI_Attr_get
# define MPI_Attr_delete thrMPI_Attr_delete
# define MPI_Topo_test thrMPI_Topo_test
# define MPI_Cart_create thrMPI_Cart_create
# define MPI_Dims_create thrMPI_Dims_create
# define MPI_Graph_create thrMPI_Graph_create
# define MPI_Graphdims_get thrMPI_Graphdims_get
# define MPI_Graph_get thrMPI_Graph_get
# define MPI_Cartdim_get thrMPI_Cartdim_get
# define MPI_Cart_get thrMPI_Cart_get
# define MPI_Cart_rank thrMPI_Cart_rank
# define MPI_Cart_coords thrMPI_Cart_coords
# define MPI_Graph_neighbors_count thrMPI_Graph_neighbors_count
# define MPI_Graph_neighbors thrMPI_Graph_neighbors
# define MPI_Cart_shift thrMPI_Cart_shift
# define MPI_Cart_sub thrMPI_Cart_sub
# define MPI_Cart_map thrMPI_Cart_map
# define MPI_Graph_map thrMPI_Graph_map
# define MPI_Get_processor_name thrMPI_Get_processor_name
# define MPI_Errhandler_create thrMPI_Errhandler_create
# define MPI_Errhandler_set thrMPI_Errhandler_set
# define MPI_Errhandler_get thrMPI_Errhandler_get
# define MPI_Errhandler_free thrMPI_Errhandler_free
# define MPI_Error_string thrMPI_Error_string
# define MPI_Error_class thrMPI_Error_class

# define MPI_Wtime thrMPI_Wtime
# define MPI_Wtick thrMPI_Wtick
# define MPI_Init thrMPI_Init
# define MPI_Finalize thrMPI_Finalize
# define MPI_Initialized thrMPI_Initialized
# define MPI_Abort thrMPI_Abort
# define MPI_Get_count thrMPI_Get_count

# define MPI_Comm_set_name thrMPI_Comm_set_name
# define MPI_Comm_get_name thrMPI_Comm_get_name

# define MPI_Pcontrol thrMPI_Pcontrol

# define MPI_Status thrMPI_Status
# define MPI_Request thrMPI_Request
#endif
