/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# define _REENTRANT
# include <stdio.h>
# include <stdlib.h>
# include "reduce.h"
# include "ukey.h"
# include "anl_shmem.h"
# include "twait.h"
/* # include "mbuffer.h" */
# include "mpi.h"
# include "root.h"

# define cm_alloc(b) malloc(b)
# define cm_free(b) free(b)

# define max(a,b) (((a)>(b))?(a):(b))
# define min(a,b) (((a)<(b))?(a):(b))

static void simple_reduce(void *result, void *operand, int count, MPI_Datatype type, MPI_Op op)
{
	union {
		char *pchar[2];
		unsigned char *puchar[2];
		unsigned char *pbyte[2];
		short *pshort[2];
		unsigned short *pushort[2];
		int *pint[2];
		unsigned int *puint[2];
		float *pfloat[2];
		double *pdouble[2];
		long double *pldouble[2];
		long long int *pllint[2];
	} pts;

	int i;

	/* infer different types as needed */
	pts.pint[0]=result;
	pts.pint[1]=operand;

	switch(type) {
	case MPI_CHAR :
		switch(op) {
		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_UNSIGNED_CHAR :
		switch(op) {
		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_BYTE :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_SHORT :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_UNSIGNED_SHORT :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_INT :
	case MPI_INTEGER :
		do {
			int tmp, tmp1;

			switch(op) {

			case MPI_MAX :
				for (i=0; i<count; i++) {
					do {
						tmp1=pts.pint[0][i];
						tmp=max(tmp1, pts.pint[1][i]);
					} while (!__compare_and_swap(&pts.pint[0][i], \
					tmp1, tmp));
				}
				break;
			case MPI_MIN :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_SUM :
				for (i=0; i<count; i++) {
					__add_and_fetch(&(pts.pint[0][i]), pts.pint[1][i]);
				}
				break;
			case MPI_PROD :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LAND :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BAND :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LXOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BXOR :
					printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_MINLOC :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_MAXLOC :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			default : 
				fprintf(stderr, "operation not supported\n");
			}
		} while (0);
		break;
	case MPI_UNSIGNED :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_LONG :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_UNSIGNED_LONG :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_FLOAT :
	case MPI_REAL :
		if (sizeof(float)!=sizeof(int)) {
			fprintf(stderr, "sorry implementation not portable\n");
			return;
		}
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_DOUBLE :
	case MPI_DOUBLE_PRECISION :
		do {

			union {
				long long ll; /* for compare_and_swap */
				double d; /* for operation */
			} tmp, tmp1;

			/* need compare_and_swap operation, assumping double size is */
			/* equal to long long */

			if (sizeof(double)!=sizeof(long long)) {
				fprintf(stderr, "sorry implementation not portable\n");
				return;
			}

			switch(op) {

			case MPI_MAX :
				for (i=0; i<count; i++) {
					do {
						tmp1.d=pts.pdouble[0][i];
						tmp.d=max(tmp1.d, pts.pdouble[1][i]);
					} while (!__compare_and_swap(&pts.pllint[0][i], \
					tmp1.ll, tmp.ll));
				}
				break;
			case MPI_MIN :
				for (i=0; i<count; i++) {
					do {
						tmp1.d=pts.pdouble[0][i];
						tmp.d=min(tmp1.d, pts.pdouble[1][i]);
					} while (!__compare_and_swap(&pts.pllint[0][i], \
					tmp1.ll, tmp.ll));
				}
				break;
			case MPI_SUM :
				for (i=0; i<count; i++) {
					do {
						tmp1.d=pts.pdouble[0][i];
						tmp.d=tmp1.d+pts.pdouble[1][i];
					} while (!__compare_and_swap(&pts.pllint[0][i], \
					tmp1.ll, tmp.ll));
				}
				break;
			case MPI_PROD :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LAND :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BAND :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_LXOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_BXOR :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_MINLOC :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			case MPI_MAXLOC :
				printf("operation to be implemented as needed \n");
				for (i=0; i<count; i++) {
				}
				break;
			default : 
				fprintf(stderr, "operation not supported\n");
			}

		} while (0);
		break;
	case MPI_LONG_DOUBLE :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	case MPI_LONG_LONG_INT :
		switch(op) {

		case MPI_MAX :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MIN :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_SUM :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_PROD :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BAND :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_LXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_BXOR :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MINLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		case MPI_MAXLOC :
			printf("operation to be implemented as needed \n");
			for (i=0; i<count; i++) {
			}
			break;
		default : 
			fprintf(stderr, "operation not supported\n");
		}
		break;
	default : 
		fprintf(stderr, "data type not supported currently\n");
	}

	return;
}


/* a lock free allocator */
/* allocate a RDCHandle for rdco_array[which] */
static thrMPI_RDCHandle *thrMPI_rdch_alloc(thrMPI_ReduceObj *rdco, int which)
{
	register thrMPI_RDCHandle **pfree;
	thrMPI_RDCHandle *ret;
	register thrMPI_RDCHandle *localfree;

	if (rdco->group_size<2) return NULL; /* a group of one proc does not need handle */

	pfree=&(rdco->rdco_array[which]->free);
	ret=*pfree;

	while (ret) {
		localfree=ret->next;
		if (__compare_and_swap((long *)pfree, (long)ret, (long)localfree))
			break;
		ret=*pfree;
	}

	if (!ret) { /* no more cached handles */
		int i;

		ret=localfree=(thrMPI_RDCHandle *)
		    anl_malloc(which, sizeof(thrMPI_RDCHandle)*rdco->group_size);
		if (!localfree)
			return NULL;
		localfree++;

		/* link the chunk of handles */
		for (i=0; i<rdco->group_size-2; i++)
			localfree[i].next=&(localfree[i+1]);

		/* now localfree[i] is the last one */
		do {
			localfree[i].next=*pfree;
		}		while (!__compare_and_swap((long *)pfree, (long)localfree[i].next, (long)localfree));
	}

	return ret;
}

/* a lock free deallocator */
static void thrMPI_rdch_free(thrMPI_ReduceObj *rdco, int which, thrMPI_RDCHandle *handle)
{
	register thrMPI_RDCHandle **pfree=&(rdco->rdco_array[which]->free);

	do {
		handle->next=*pfree;
	} while (!__compare_and_swap((long *)pfree, (long)handle->next, (long)handle));

	return;
}

static thrMPI_RDCQueue *thrMPI_rdcq_create(int groupsize)
{
	thrMPI_RDCQueue *ret;
	int i;

	if (groupsize<2) return NULL; /* a group of one proc does not need RDCQueue */

	ret=(thrMPI_RDCQueue *)
	    anl_malloc(ROOT_ID, sizeof(thrMPI_RDCQueue)+sizeof(thrMPI_RDCHandle)*(groupsize-1));

	if (!ret) return NULL;
	if (ukey_createkey(&(ret->key_curhandle))) { /* key creation failed */
		anl_free(ROOT_ID, ret);
		return NULL;
	}

	ret->first=ret->cache;
	ret->free=ret->cache+1;

	for (i=0; i<groupsize-2; i++)
		ret->free[i].next=&(ret->free[i+1]);

	ret->free[i].next=NULL;

	ret->first->next=NULL;
	ret->first->avail=-1; /* guarding node */

	return ret;
}

thrMPI_ReduceObj *thrMPI_rdco_create(int groupsize)
{
	thrMPI_ReduceObj *ret;
	int i,j;

	ret=(thrMPI_ReduceObj *)
	    anl_malloc(ROOT_ID, sizeof(thrMPI_ReduceObj)+sizeof(thrMPI_RDCQueue *)*(groupsize-1));

	if (!ret) return NULL;

	ret->group_size=groupsize;

	if (groupsize<2) {
		ret->rdco_array[0]=NULL;
		return ret;
	}

	for (i=0;i<groupsize;i++) {
		if ((ret->rdco_array[i]=thrMPI_rdcq_create(groupsize))==NULL) {
			for (j=0;j<i;j++)
				anl_free(ROOT_ID, ret->rdco_array[j]);
			anl_free(ROOT_ID, ret);
			return NULL;
		}
	}

	return ret;
}

int thrMPI_rdco_reduce(thrMPI_ReduceObj *rdco, int myid, int root, void *sendbuf, void *recvbuf, unsigned int count, MPI_Datatype
type, MPI_Op op)
{
	register thrMPI_RDCHandle *curitem;
	thrMPI_RDCHandle *newitem;
	register thrMPI_RDCQueue *q;
	int ret;
	int len=thrMPI_Usize(type)*count;

	if (rdco->group_size<2) return 0; /* don't do anything */


	q=rdco->rdco_array[root];

	curitem=(thrMPI_RDCHandle *)ukey_getval(q->key_curhandle);

	if (!curitem)
		curitem=q->first;

	if (curitem==(thrMPI_RDCHandle*)8L) /* internal allocation error */
		return -1;

	if (curitem->avail==-1) { /* the first to reach the reduce */
		newitem=thrMPI_rdch_alloc(rdco, root);

		if (!newitem) {
# if _DEBUG_
			fprintf(stderr, "reduce failed due to insufficient memory\n");
# endif	
			newitem=(thrMPI_RDCHandle*)8L;
		}
		else {
			newitem->avail=-1;
			newitem->next=NULL;
		}

		if (__compare_and_swap(&(curitem->avail), -1, 0)) {
			curitem->next=newitem;
			/* curitem->data=mb_alloc(myid, len); */
			curitem->data=cm_alloc(len); 
			if (curitem->data==NULL) {
# if (_DEBUG_)
				fprintf(stderr, "reduce failed due to insufficient memory\n");
# endif
				curitem->count=0;
				curitem->avail=1;
				ukey_setval(q->key_curhandle, newitem);
				return -2; /* no memory */
			}
			else {
				memcpy(curitem->data, sendbuf, len);
				curitem->count=count;
				curitem->avail=1;
				if (myid==root) { /* wait for result to come */
					while (curitem->avail!=rdco->group_size)
						waitFlagEQ(&(curitem->avail), rdco->group_size, NO_HINT);
					memcpy(recvbuf, curitem->data, len);
					/* unlink the handle */
					cm_free(curitem->data);
					/* free(curitem->data); */
					q->first=curitem->next;
					thrMPI_rdch_free(rdco, root, curitem);
				}

				ukey_setval(q->key_curhandle, newitem);
				return 0;
			}
		}
		else { /* has been done by somebody else */
			if (newitem!=(thrMPI_RDCHandle*)8L)
				thrMPI_rdch_free(rdco, root, newitem);
		}
	}

	/* do reduction */
	while (curitem->avail==0) {
		waitFlagNE(&(curitem->avail), 0, NO_HINT);
	}
	count=min(count, curitem->count);
	len=thrMPI_Usize(type)*count;

	if (curitem->data) {
		simple_reduce(curitem->data, sendbuf, count, type, op);
		ret=0;
	}
	else
		ret=-2;

	ukey_setval(q->key_curhandle, curitem->next);

	__add_and_fetch(&(curitem->avail), 1);

	if (myid==root) {
		while (curitem->avail!=rdco->group_size)
			waitFlagEQ(&(curitem->avail), rdco->group_size, NO_HINT);
		if (!ret) {
			memcpy(recvbuf, curitem->data, len);
			/* unlink the handle */
			cm_free(curitem->data);
			/* free(myid, curitem->data); */
		}
		q->first=curitem->next;
		thrMPI_rdch_free(rdco, root, curitem);
	}


	return ret;
}

/* constructor for all reduce object */
thrMPI_AllreduceObj *thrMPI_ardco_create(int groupsize) {
	thrMPI_AllreduceObj *ret;
	int i;

	ret = (thrMPI_AllreduceObj *) anl_malloc(ROOT_ID, sizeof(thrMPI_AllreduceObj));
	if (!ret) return NULL;

	ret->group_size = groupsize;
	ret->subp = &ret->sub[0];

	for (i=0; i<2; i++) {
		ret->sub[i].avail = -1;
		ret->sub[i].done = 0;
	}

	return ret;
}

/* destructor for all reduce object */
int thrMPI_ardco_destroy(thrMPI_AllreduceObj *ardco) {
	anl_free(ROOT_ID, ardco);

	return 0;
}

int thrMPI_ardco_allreduce(thrMPI_AllreduceObj *ardco, int myid, void *sendbuf, void *recvbuf, unsigned int count, MPI_Datatype
type, MPI_Op op) {
	register struct _sub *subp = ardco->subp;
	int len = thrMPI_Usize(type)*count;
	int ret;

	if (ardco->group_size<2) return 0;	/* don't do anything */

	/* the first to reach the allreduce */
	if ((subp->avail==-1) && (__compare_and_swap(&(subp->avail), -1, 0)) ) {
		subp->data = cm_alloc(len);
		if (subp->data==NULL) {
#if (_DEBUG_)
			fprintf(stderr, "allreduce failed due to insufficient memory\n");
#endif
			subp->count = 0;
			subp->avail = 1;
			return -2;	/* no enough memory */
		}
		else {
			memcpy(subp->data, sendbuf, len);
			subp->count = count;
			subp->avail = 1;
		}
	}
	else {
		/* do reduction */
		while (subp->avail==0)
			waitFlagNE(&(subp->avail), 0, NO_HINT);

		count=min(count, subp->count);
		len=thrMPI_Usize(type)*count;
		if (subp->data) {
			simple_reduce(subp->data, sendbuf, count, type, op);
			ret=0;
		}
		else
			ret=-2;

		__add_and_fetch(&(subp->avail), 1);

	}


	/* wait for result to come */
	while (subp->avail!=ardco->group_size)
		waitFlagEQ(&(subp->avail), ardco->group_size, NO_HINT);
	if (subp->data)
		memcpy(recvbuf, subp->data, len);

	/* last one done with it */
	if (__add_and_fetch(&subp->done, 1)==ardco->group_size) {
		if (subp->data)
			cm_free(subp->data);
		subp->done = 0;
		subp->avail = -1;
	}

	/* switch the sub object */
	if (ardco->subp==subp)
		__compare_and_swap((long*)&(ardco->subp), (long)subp, (long)((subp==&ardco->sub[0])?&ardco->sub[1]:&ardco->sub[0]));

	return ret;
}
