/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
# include <mpi.h>

# define NT 100
# define MSG_LEN 100

double gettime();
main(int argc, char *argv[])
{
	int N, myid, peerid;
	char buf[MSG_LEN+1];
	int i, j;
	double t1, t2;

	MPI_Init(&argc, &argv);
	MPI_Comm_size(MPI_COMM_WORLD, &N);
	MPI_Comm_rank(MPI_COMM_WORLD, &myid);
	
	for (i=0; i<MSG_LEN; i++) 
		buf[i]='a'+myid;

	buf[MSG_LEN]='\0';

	t1=gettime();
	for (i=0; i<NT; i++) {
		for (j=myid; j<myid+N; j++)
			MPI_Bcast(buf, MSG_LEN, MPI_CHAR, j%N, MPI_COMM_WORLD);
		/** printf("myid=%d, buf=%s\n", myid, buf); **/
	}
	t2=gettime();
	
	printf("Nproc=%d, msg len=%d, bcast cost=%e\n", N, MSG_LEN, (t2-t1)/NT/N);

	MPI_Finalize();
}
