/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# ifndef _BCAST_H_
# define _BCAST_H_

#define _REENTRANT

# include "ukey.h"

typedef struct _thrMPI_BCHandle {
	struct _thrMPI_BCHandle *next;
	int avail; /* -1: last handle in the queue, 0: not available, 1: available */
	char *data;
	unsigned int len; /* in bytes */
#ifdef MPISIM
  int lseq;
#endif
} thrMPI_BCHandle;
	
typedef struct _thrMPI_BCQueue {
	ukey_t key_curhandle; /* each process keeps the current handle pointer */
	struct _thrMPI_BCHandle *free;
	struct _thrMPI_BCHandle *first;
	struct _thrMPI_BCHandle cache[1]; /* a variable length array */
} thrMPI_BCQueue;	

typedef struct _thrMPI_BcastObj {
	int group_size;
	thrMPI_BCQueue *(bco_array[1]); /* indexed by the root, variable length */
} thrMPI_BcastObj;
	
thrMPI_BcastObj *thrMPI_bco_create(int groupsize); /* constructor */
int thrMPI_bco_destroy(thrMPI_BcastObj *bco); /* destructor */
int thrMPI_bco_bcast(thrMPI_BcastObj *bco, int myid, int root, char *data, unsigned int len /* in bytes */
#ifdef MPISIM
, int
#endif
);

# endif
