/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

#ifndef _function_h_
#define _function_h_

#include "struct.h"

/* functions defined in comm.c */
int comm_init(int);
thrMPI_Comm *comm_verify(thrMPI_Comm);

# include "barrier.h"

/* functions defined in mbuffer.c */
void mb_global_init(int);
void mb_init(int, int);
int mb_attach(int, void*, int);
int mb_detach(int, void*, int*);
void* mb_alloc(int, int);
void mb_free(int, void*);

/* functions defined in mqueue.c */
void mq_init(int);
thrMPI_SHandle* sq_get(unsigned long, int, int, int);
thrMPI_RHandle* rq_get(unsigned long, int, int, int);

# include "sync.h"

/* fucntions defined in utils.c */
int thrMPI_Usize(MPI_Datatype);
void *myMalloc(size_t size);

#endif
