/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# ifndef _THRSYS_H_
# define _THRSYS_H_

# define SPROC_SYS 1
# define PTHREAD_SYS 2
# define MYTP_SYS 3

# if (defined(USE_PTHREAD))
# if (defined(USE_SPROC))
# error Ambiguous thread system defined!
# else
# define THREAD_SYS PTHREAD_SYS
# endif
# elif (defined(USE_SPROC))
# define THREAD_SYS SPROC_SYS
# elif (defined(USE_MYTP))
# define THREAD_SYS MYTP_SYS
# include "mytp.h"
# else
# error No thread system defined!
# endif

# endif
