/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

#include <unistd.h>
#include <sys/types.h>
#include <sys/sysmp.h>
#include <sys/sysinfo.h> /* for SAGET and MINFO structures */
# include <stdio.h>

double gettime();

# define NT 100000
/* arbitrarily chosen processor number */
# define PNO 10 

main()
{
	int fds[2];
 	pid_t child;

	pipe(fds);
	child=fork();
	
	sysmp(MP_MUSTRUN_PID, PNO, getpid());

	if (child==-1) {
		perror("fork failed\n");
		exit(-1);
	}
	if (child==0) {
		int i=0;
		char c='1';

		sysmp(MP_MUSTRUN_PID, PNO, getpid());

		for (i=0;i<NT;i++) {
			read(fds[0], &c, 1);
			write(fds[0], &c, 1);
		}	
	}
	else {
		int i=0;
		char c='2';
		double t1, t2;

		
		t1=gettime();
		for (i=0;i<NT;i++) {
			write(fds[1], &c, 1);
			read(fds[1], &c, 1);
		}	
		t2=gettime();
		printf("%e\n", (t2-t1)/NT);
	}
}
