/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
#include <sys/types.h>
#include <sys/sysmp.h>
#include <sys/sysinfo.h> /* for SAGET and MINFO structures */

# include <sched.h>

# define NT 100000
# define PNO 11

double gettime();
main()
{
	double t1, t2;
	int i;

	sysmp(MP_MUSTRUN_PID, PNO, getpid());
	t1=gettime();
	for (i=0;i<NT;i++)
		sched_yield();
	t2=gettime();
	printf("sched_yield=%e\n", (t2-t1)/NT);
}

