/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
#include <sys/types.h>
#include <sys/sysmp.h>
#include <sys/sysinfo.h> /* for SAGET and MINFO structures */
# include <unistd.h>

/* arbitrarily chosen processor number */
# define PNO 10 

double gettime();

# define MIN(a,b) (((a)<(b))?(a):(b))
# define NT 100
main()
{
	double t1, t2;
	int i=0,j,k;

	sysmp(MP_MUSTRUN_PID, PNO, getpid());

	for (j=1; j<=1000000; j<<=1) {
		k=MIN(NT, 1000000/j);
		t1=gettime();
		for (i=0;i<k;i++)
			usleep(j);
		t2=gettime();
		printf("usleep(%d)=%e\n", j, (t2-t1)/k);
	}
}
