/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# define _REENTRANT
# include <stdio.h>
# include <abi_mutex.h>
# include "anl_shmem.h"

/* prototypes */
abilock_t *sproc_mtx_create(int myid);
int sproc_mtx_lock(abilock_t *mtx);
int sproc_mtx_destroy(abilock_t *mtx, int myid);

abilock_t * sproc_mtx_create(int myid)
{
	abilock_t *mtx;

	if ((mtx=anl_malloc(myid, sizeof(abilock_t)))==NULL) {
		return NULL;
	}
	
	if (init_lock(mtx)) {
		anl_free(myid, mtx);
		return NULL;
	}

	return mtx;
}

int sproc_mtx_lock(abilock_t *mtx)
{
	spin_lock(mtx);

	return 0;
}

int sproc_mtx_destroy(abilock_t *mtx, int myid)
{
	anl_free(myid, mtx);

	return 0;
}
