/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
# include "sync.h"

main()
{
	mtx_t mtx;

	anl_shmem_init(1000000);
	mtx=mtx_create();
	if (mtx==NULL) {
		printf("error allocate lock\n");
		exit(-1);
	}
	printf("lock=%d\n", mtx_lock(mtx));
	printf("unlock=%d\n", mtx_unlock(mtx));
	printf("init=%d\n", mtx_init(mtx));
	printf("trylock=%d\n", mtx_trylock(mtx));
	printf("trylock=%d\n", mtx_trylock(mtx));
	printf("init=%d\n", mtx_init(mtx));
	printf("destroy=%d\n", mtx_destroy(mtx));

	anl_shmem_end();
	return 0;
}
