/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include "anl_shmem.h"
# include "tqueue.h"
TQueue *p;
void printQ(TQueue *queue);
main()
{
	int c;
	int i=0;
	struct s {
		int i;
	} *e;

	printf("0:exit; 1:enQ; 2:deQ.\n");
	anl_shmem_init(10000000);

	p=Q_create(NULL, sizeof(struct s), 4);
	while (c=getchar()) {
		i++;
		switch (c) {
		case '1' : /* enQ */
			e=(struct s *)Q_newElem(p);
			e->i=i;
			enQ(p, e);
			printf("%d enQed\n", i);
			printQ(p);
			break;
		case '2' :
			e=deQ(p);
			if (e) {
				printf("%d deQed\n", e->i);
				Q_freeElem(p, e);
			}
			else 
				printf("queue already empty\n");
			printQ(p);
			break;
		case '0': anl_shmem_end(); exit(0);
		}
	}
	
	anl_shmem_end();
}
