/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# define _REENTRANT
# include <stdio.h>
# include "anl_shmem.h"
# include "tqueue.h"
TQueue *p;
void printQ(TQueue *queue);
struct s {
	int i;
} *e;

# define ASSERT(s) { if (!(s)) fprintf(stderr, "assertion failed\n"); }
int comp(void *f, int context, int tag, int arg) /* context is ignored */
{
	return ( ((struct s *)f)->i-tag);
}

main()
{
	int c;
	int i=0;
	int n;

	printf("0:exit; 1:enQ; 2:deQ; 3 n: probe n; 4 n: find n.\n");
	anl_shmem_init(10000000);

	p=Q_create(comp, sizeof(struct s), 4);
	while (c=getchar()) {
		i++;
		switch (c) {
		case '1' : /* enQ */
			e=(struct s *)Q_newElem(p);
			e->i=i;
			enQ(p, e);
			printf("%d enQed\n", i);
			printQ(p);
			Q_status(p);
			break;
		case '2' :
			e=deQ(p);
			if (e) {
				printf("%d deQed\n", e->i);
				Q_freeElem(p, e);
			}
			else {
				printf("queue already empty\n");
				ASSERT(Q_isEmpty(p));
			}
			printQ(p);
			Q_status(p);
			break;
		case '3' :
			scanf("%d", &n);
			e=Q_probe(p, 0,  n, 0);
			if (e)
				printf("%d in queue\n", e->i);
			else
				printf("%d not in queue\n", n);
			break;
		case '4' :
			scanf("%d", &n);
			e=Q_find(p, 0, n, 0);
			if (e) {
				printf("%d in queue\n", e->i);
				Q_freeElem(p, e);
			}
			else
				printf("%d not in queue\n", n);

			printQ(p);
			Q_status(p);
			break;
		case '0': anl_shmem_end(); exit(0);
		}
	}
	
	anl_shmem_end();
}
