/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
# include <stdlib.h>
#include <sys/types.h>
#include <sys/sysmp.h>
#include <sys/sysinfo.h> 

# define USE_SPROC
# include "twait.h"
# include "ukey.h"
# include "anl_shmem.h"
# define PNO 10

thrMPITCB **thrMPI_tcbs;
int thrMPI_Nproc=2;
int flag=0;
extern int sigs, busy, prob;

void testwait(void)
{
	if (ukey_getid()==0) { /* reveiver */ 
		int c;
		
		sysmp(MP_MUSTRUN_PID, PNO, getpid());
		while (1) {
			c=rand()%10000;
			if (c%2) {
				printf("\nWaiting for NE %d\n", c/2);
				flag=c/2;
				waitFlagNE(&flag, c/2, NO_HINT);
			}
			else {
				printf("\nWaiting for EQ %d\n", c/2);
				flag=c/2+1;
				waitFlagEQ(&flag, c/2, NO_HINT);
			}
		}
	}
	else { /* sender */
		int c;
		
		sysmp(MP_MUSTRUN_PID, PNO+1, getpid());

		while (c=getchar()) {
			switch (c) {
				case '1' : 
					scanf("%d", &c);
					signalFlag(0, &flag, c);
					break;
				case '0' : 
					kill(thrMPI_tcbs[0]->pid, SIGUSR2);
					exit (0);
					break;
			}		
		}
	}
}

main()
{
	anl_shmem_init(1000000);
	thrMPI_tcbs=(thrMPITCB **)anl_malloc(sizeof(thrMPITCB *)*2);
	thrMPI_tcbs[0]=(thrMPITCB *)anl_malloc(sizeof(thrMPITCB));
	thrMPI_tcbs[1]=(thrMPITCB *)anl_malloc(sizeof(thrMPITCB));
	thrMPI_tcbs[0]->intr=0;
	thrMPI_tcbs[0]->status=thrMPI_IDLE;
	thrMPI_tcbs[1]->intr=0;
	thrMPI_tcbs[1]->status=thrMPI_IDLE;

	thrMPI_tcbs[0]->pid=ukey_thrcreate(testwait, 0);
	thrMPI_tcbs[1]->pid=ukey_thrcreate(testwait, 1);
	ukey_thrwait(thrMPI_tcbs[0]->pid);
	ukey_thrwait(thrMPI_tcbs[1]->pid);
	anl_shmem_end(1000000);
}
