/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

# include <stdio.h>
# include <stdlib.h>
#include <sys/types.h>
#include <sys/sysmp.h>
#include <sys/sysinfo.h> 

# define USE_SPROC
# include "twait.h"
# include "ukey.h"
# include "anl_shmem.h"
# define PNO 16
# define NT 100000

thrMPITCB **thrMPI_tcbs;
int thrMPI_Nproc=2;
unsigned int flag=0;
unsigned int r;
unsigned int done=0;
extern int busy, sigs, prob;
extern thrMPI_donotopt; 

void testwait(void)
{
	unsigned int r2, flag2;

	if (ukey_getid()==0) { /* reveiver */ 
		unsigned int i;
		
		/** sysmp(MP_MUSTRUN_PID, PNO, getpid());  **/
		for (i=0;i<NT;i++) {
			r2=(unsigned int)rand()%10000+1;
			if (r2==r)
				r2++;
			flag2=flag=r2/2;
			r=r2;
			if (r2%2) {
				/* printf("\nWaiting for NE %d\n", r/2); */
				if (waitFlagNE(&flag, flag2, NO_HINT))
					printf("error\n");
			}
			else {
				/* printf("\nWaiting for EQ %d\n", r/2); */
				if (waitFlagEQ(&flag, r2, NO_HINT))
					printf("error\n");
			}
			if (i%1000==0) printf(".");
			fflush(stdout);
		}
		r++;
		done=1;
	}
	else { /* sender */
		unsigned int c, x=100;
		unsigned int y;
		
		anl_shmem_uinit(1, 1000000);
		/** sysmp(MP_MUSTRUN_PID, PNO+1, getpid());  **/
		while (!done) {
			c=r;
			if ((rand()%100==3) && (x--) )
				sginap(1);
			/**
			signalConditionalFlag(0, &flag, r, flag);
			**/
			signalFlag(0, &flag, r); 
			/** flag=r; **/
			y=1000;
			while ((c==r) && (y--)) {
				/*sched_yield();*/
				/*waitFlagNE(&r, c, NO_HINT); */
			}
			if (c==r) {
				/* fprintf(stderr, "possible deadlock: flag=%d, c=%d, r=%d\n", flag, c, r); */
			}
		}
		printf("DONE\n");
		fflush(stdout);
		anl_shmem_uend(1);
	}
}

double gettime();

main()
{
	double t1, t2;

	anl_shmem_ginit();
	ukey_setid(0);
	anl_shmem_uinit(0, 1000000);
	thrMPI_tcbs=(thrMPITCB **)anl_malloc(sizeof(thrMPITCB *)*2);
	thrMPI_tcbs[0]=(thrMPITCB *)anl_malloc(sizeof(thrMPITCB));
	thrMPI_tcbs[1]=(thrMPITCB *)anl_malloc(sizeof(thrMPITCB));
	thrMPI_tcbs[0]->intr=0;
	thrMPI_tcbs[0]->status=thrMPI_IDLE;
	thrMPI_tcbs[1]->intr=0;
	thrMPI_tcbs[1]->status=thrMPI_IDLE;

	thrMPI_tcbs[0]->pid=getpid();
	thrMPI_tcbs[1]->pid=ukey_thrcreate(testwait, 1);
	printf("sender=%d, receiver=%d\n", thrMPI_tcbs[1]->pid, thrMPI_tcbs[0]->pid);
	fflush(stdout);
	t1=gettime();
	testwait();
	t2=gettime();
	ukey_thrwait(thrMPI_tcbs[1]->pid);
	anl_shmem_uend(0);
	anl_shmem_gend();
	printf("total time=%e\n", t2-t1);
	printf("busy=%d, sigs=%d, prob=%d\n", busy, sigs, prob);
	printf("thrMPI_donotopt=%d\n", thrMPI_donotopt);
	
}
