/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

#include <stdio.h>
#include <stdlib.h>
#include <sys/time.h>

#include "mytp.h"

double gettime() {
  struct timeval t;
  gettimeofday (&t, NULL);
  return (double) t.tv_sec+t.tv_usec*0.000001;
}

static int it;

void cswtch (void *ignore) {
  int i;
  for (i=0; i<it; i++) mytp_yield ();
}

void main (int argc, char *argv[]) {
  double t;

  if (argc==2) it=atoi (argv[1]);
  else {
    printf ("usage: %s <#iterations>\n", argv[0]);
    exit (1);
  }

  /* Spawn thread */
  mytp_init ();
  mytp_create (cswtch, NULL);
  mytp_create (cswtch, NULL);
  t = gettime();
  mytp_start (1);
  t = gettime() - t;

  printf ("cswtch time = %4.2fus\n", t*1000000/(2*it));
}

/* context switch takes 1.80us */
