/**
 * Copyright (c) 2000
 * University of California, Santa Barbara
 *
 * Permission to use, copy, modify and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice and this notice
 * appear in all copies.  This software is provided as a
 * proof-of-concept and for demonstration purposes; there is no
 * representation about the suitability of this software for any
 * purpose.
 */

#include <stdlib.h>
#include <sys/time.h>

#define MAXINT (1<<24)
#define ROUND 100

/* Wall clock time */
double gettime () {
  struct timeval t;
  gettimeofday (&t, NULL);
  return (double) t.tv_sec+t.tv_usec*0.000001;
}

extern void uspin (int x);

static double calibrate_timer (int it) {
  int i;
  double t;
  t = gettime ();
  for (i=0; i<ROUND; i++) uspin (it); 
  t = gettime () -t;
  return t/ROUND;
}

main (int argc, char *argv[]) {
  int it;
  double t;
  int its_per_us;

  if (argc != 2) {
    printf ("usage: timer it_num\n");
    exit (1);
  }

  it = atoi(argv[1]);
  t = calibrate_timer (it);
  its_per_us = (int) (it*0.000001/t);

  printf ("%d iterations take %dus\n", it, (int)(t*1000000));
  printf ("its_per_us = %d\n", its_per_us);
  return 0;
}
